var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as moment from "moment";
import * as classnames from "classnames";
import * as React from "react";
import * as PropTypes from "prop-types";
import ReactDatePicker from "react-datepicker";
import "./DatePicker.less";
export default function DatePicker(props) {
    return (React.createElement(ReactDatePicker, __assign({}, props, { inline: true, calendarClassName: classnames("DatePicker", props.className) })));
}
var dateType = PropTypes.oneOfType([
    PropTypes.instanceOf(Date),
    PropTypes.instanceOf(moment),
]);
DatePicker.propTypes = {
    className: PropTypes.string,
    // The following are the subset of react-datepicker props that this component supports.
    // More can be added here as needed.
    maxDate: dateType,
    minDate: dateType,
    onChange: PropTypes.func.isRequired,
    selected: dateType,
};
